<?php use_helper('UrlFunctions'); ?>
<?php
  header("Content-Type: application/xhtml+xml; charset=iso-8859-1"); 
  $tamanioPag = 10;
  $o_UsuarioBean = new UsuarioBean();
  
  $o_UsuarioBean->page = $page;
  $o_UsuarioBean->tamPag = $tamanioPag;
  $o_UsuarioBean->sortCampos = $sortCampos;
  $o_UsuarioBean->sortType   = $sortType;
  
  if($txtNombre!=""){ $o_UsuarioBean->setNombre($txtNombre); }
  if($cboRol!="")   { $o_UsuarioBean->setRolId($cboRol); }
  if($txtFecIni!=""){ $o_UsuarioBean->setDateBegin($txtFecIni); }
  if($txtFecFin!=""){ $o_UsuarioBean->setDateEnd($txtFecFin); }
  
 
  $o_UserSystemClass = new UserSystemClass($o_UsuarioBean);
  $a_ObjUsuarioBeans = $o_UserSystemClass->getUser();
  
  $o_navigation = new navigation();
  $o_navigation->setPaginaActual($page);
  $o_navigation->setTamanioPagina($tamanioPag);
  $o_navigation->setTotalRegistros($o_UserSystemClass->getCountResult($o_UsuarioBean));
  $valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);  
  
  if(!$page) $page = 1;
  ViewResponse::getInstance()->setMethodAjax();
  
?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>"><table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
         <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
             <tr height="23">
                <th width="5%" nowrap="nowrap">Nro</th>
                <th width="10%" id="col01" onMouseOver="sort_col(this);" nowrap="nowrap"><?=showImgOrder($valuesSort, 'UsuarioId','Login')?>&nbsp;</th>
                <th width="10%" id="col01" onMouseOver="sort_col(this);" nowrap="nowrap"><?=showImgOrder($valuesSort, 'Nombre','Nombre ')?>&nbsp;&nbsp;</th>
                <th width="10%" nowrap="nowrap"><?=showImgOrder($valuesSort, 'RolId','Rol ')?>&nbsp;&nbsp;&nbsp;</th>
                <th width="10%" nowrap="nowrap"><?=showImgOrder($valuesSort, 'EsDisabled','Estado')?>&nbsp;&nbsp;</th>
                <th width="10%" nowrap="nowrap">Email&nbsp;&nbsp;&nbsp;</th>
                <th width="10%" nowrap="nowrap">Opciones</th>
              </tr>
              <? if(count($a_ObjUsuarioBeans)>0){ ?>
              <? foreach ($a_ObjUsuarioBeans as $iKey => $o_objBean){ ?>
              <tr onClick="TR_click(this);">
                <td class="chk"><?=$iKey+1?></td>
                <td align="center"><?=$o_objBean->getUsuarioId()?></td>
                <td><?=$o_objBean->getNombre()?></td>
                <td align="center"><?=$o_objBean->getRolId()?></td>
                <td align="center"><?=$o_objBean->getEsDisabled()!="N"?"Inactivo":"Activo"?></td>
                <td><?=$o_objBean->getCorreoElectronico()?></td>
                 <td align="center" valign="top">
                  <img src="/images/common/buttons/btnReview.gif" style="cursor:pointer;" onclick="parent.objMainTab.reqBody('<?=buildUrl('user/show/id/'.$o_objBean->getUsuarioId())?>','001')">&nbsp;
                  <img src="/images/common/buttons/btnEdit.gif" style="cursor:pointer;" onclick="parent.objMainTab.reqBody('<?=buildUrl('user/edit/id/'.$o_objBean->getUsuarioId())?>','001')">&nbsp;                  
                  <input type="image" name="Eliminar" src="/images/common/buttons/btnDelete.gif" onclick="deleteRegistro('<?=$o_objBean->getUsuarioId()?>')">
                 </td>
              </tr>
              <? } ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?=count($a_ObjUsuarioBeans)?></td>
        </tr>
      </table>